package be.iminds.ilabt.jfed.espec.model;

/**
 * FileSource
 */
public class FileSource {
    public enum SourceType { BUNDLED, DIRECT, GITHUB, GIT, DOWNLOAD }
    private final SourceType type;
    private final String value;

    public FileSource(SourceType type, String value) {
        this.type = type;
        this.value = value;
    }

    public SourceType getType() {
        return type;
    }

    public String getValue() {
        return value;
    }
}
